﻿#Note: A lot of the code is in the other files related to this lesson

#region Sub-Lesson 9.4 Code Snippets

#Implements configuration for specified computer, doesn't do this as a job and provides verbose output
Start-DscConfiguration –ComputerName Server1 -Path C:\PoSh\Lesson9\CopyFiles\ -wait –verbose

#Creates a job to implement configuration in the specified path
Start-DscConfiguration -Path C:\PoSh\Lesson9\CopyFiles\  -Verbose

#Shows list of PowerShell Jobs
Get-Job

#Shows the output of all PowerShell Jobs
Get-Job | Receive-Job

#endregion

#region Sub-Lesson 9.5 Code Snippets

#Used to implement DSC Pull Web Service
Start-DscConfiguration -Path C:\PoSh\Lesson9\Sample_xDscWebService -Wait -Verbose

#Set location to where the DSC Configurations are
Set-Location -Path 'C:\Program Files\WindowsPowerShell\DscService\Configuration' 

#Creates new Checksum (Required for DSC Pull) the GUID used in the ConfigurationPath will depend on what yours is
New-DscCheckSum -ConfigurationPath .\4d4158c3-0514-4004-8cfe-63afdc5f2bf5.mof


#endregion
