﻿#region Sub-Lesson 8.1 Code Snippets

#Shows the current execution policy
Get-ExecutionPolicy

#endregion

#region Sub-Lesson 8.2 Code Snippets

#Lists all variables
Get-Variable

#Create a new variable
New-Variable –Name var1 –Value “Variable 1”

#Shorter way to create variable
$var2 = “Variable 2”

#Empty contents of a variable
Clear-Variable –Name var1

#Does the same as above command
$var2 = “”

#Assign the value from Get-Service to a variable
$services = Get-Service

#Pipe values from variable to perform same action as acting directly on command
$services | Where-Object name –eq WinRM | Stop-Service

#Start the service again
$services | Where-Object Name –eq WinRM | Start-Service

#endregion

#The remainder of the Example code used in the demonstrations is in their own files