﻿#region Basic switch statement
$process = Get-Process powershell_ise
switch($process.Name) {
    "powershell" { Write-Output "You are running PowerShell"}
    "powershell_ise" { Write-Output "You are running the PowerShell ISE"}
    "explorer" { Write-Output "You are running Explorer"}
}
#endregion

#region with default value
$process = Get-Process | Get-Random
switch($process.Name) {
    "powershell" { Write-Output "You are running PowerShell"}
    "powershell_ise" { Write-Output "You are running the PowerShell ISE"}
    "explorer" { Write-Output "You are running Explorer"}
    default { Write-Output "An unknown process was selected"}
}
#endregion