﻿Configuration CopyFiles { <# Begin Configuration Container #>
    param(
        [string[]]
        $ComputerName = "localhost"
    )

    Node $ComputerName { <# Begin Node Section #>
        File SysInternals { <# Begin Configuration Item #>
            Ensure = "Present"
            SourcePath = "\\DC1\sysinternals"
            DestinationPath = "C:\sysinternals"
            Type = "Directory"
            Recurse = $true
        } <# End Configuration Item #>
    } <# End Node Section #>
} <# End Configuration Container #>

#Create the MOF Files
CopyFiles -ComputerName (Get-ADComputer -Filter * | Select -Expand Name)