﻿Configuration ConfigPull {
    param(
        [string[]]
        $ComputerName = "localhost",
        [string]$Guid)
        Node $ComputerName {
            LocalConfigurationManager {
                ConfigurationMode = "ApplyAndAutoCorrect"
                ConfigurationID = $Guid
                RefreshMode = "Pull"
                DownloadManagerName = "WebDownloadManager"
                DownloadManagerCustomData = @{ 
                    ServerUrl = 'http://DSCPull.ad.local:8080/PSDSCPullServer.svc';
                    AllowUnsecureConnection = 'true' }
            }
        }
}

ConfigPull -ComputerName Server1 -Guid $guid
Set-DscLocalConfigurationManager -ComputerName Server1 -Path .\ConfigPull -Verbose